import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { SharedService } from '../shared/shared.service';
import { DefaultDataServiceConfig } from '@ngrx/data';
import { TranslationService } from '../translation.service';
import * as i0 from "@angular/core";
export declare enum LOCAL_STORAGE_KEYS {
    USER = "user",
    LANGUAGE = "language",
    ID_TOKEN = "id_token",
    CART = "cart",
    REQUIRE_OTP = "require_otp",
    MFA = "mfa"
}
export declare class AuthService {
    private http;
    private config;
    private sharedService;
    private translateService;
    entityUrl: string;
    constructor(http: HttpClient, config: DefaultDataServiceConfig, sharedService: SharedService, translateService: TranslationService);
    login(credentials: any): Observable<any>;
    logout(): void;
    register(credentials: any): Observable<any>;
    forgotPassword(credentials: any): Observable<any>;
    resetPassword(value: any): Observable<any>;
    verifyEmail(userId: any, uniqueCode: any): Observable<any>;
    resendVerifyEmail(credentials: any): Observable<any>;
    isAdmin(): boolean;
    private setSession;
    private clearPrevStorage;
    JWTHasExpired(token: string): Observable<any>;
    request2fa(code: any, token: any): Observable<any>;
    resendOTP(token: any): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AuthService>;
}
