import { Router } from '@angular/router';
import { ChangeDetectorRef, EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { FormControl } from '@angular/forms';
import { Observable } from 'rxjs';
import { CellClickedEvent, ICellRendererParams, RowClickedEvent } from "@ag-grid-community/core";
import { TranslationService } from '../../translation.service';
import * as i0 from "@angular/core";
export declare class AgGridComponent implements OnInit, OnChanges {
    private translateService;
    private cdr;
    private router;
    orderChanged: boolean;
    orderedRowData: any[];
    previousOrderedRowDataState: any[];
    private lastState;
    pageSize: number;
    pageIndex: number;
    showDeletedItems: boolean;
    showAddButton: boolean;
    pageCtrl: FormControl;
    enableDrag: boolean;
    showTrashButton: boolean;
    rowData: any[];
    columnDefs: any[];
    defaultColDef: any;
    noRowsTemplate: string;
    pagination: any;
    disableAdd: any;
    enableExport: any;
    title: string;
    enableCellTextSelection: boolean;
    loading$: Observable<boolean>;
    refreshData: EventEmitter<any>;
    addData: EventEmitter<any>;
    changeData: EventEmitter<any>;
    pageChange: EventEmitter<any>;
    saveDraggedPositionsEvent: EventEmitter<any>;
    rowClickedEvent: EventEmitter<any>;
    exportEvent: EventEmitter<any>;
    private params;
    private gridApi;
    private clickedColId;
    rowStyle: any;
    modules: any[];
    localeText: {
        [key: string]: string;
    };
    gridActivated: boolean;
    constructor(translateService: TranslationService, cdr: ChangeDetectorRef, router: Router);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    onGridReady(params: any): void;
    paginate(direction: any): void;
    onPageChange(event: any): void;
    refresh: () => void;
    add: () => void;
    toggleTrashItems(): void;
    onBtExport: () => void;
    onRowDragEnd(e: any): void;
    saveDraggedPositions: () => void;
    resetDrag(): void;
    onCellClicked(params: CellClickedEvent): void;
    onRowClicked(e: RowClickedEvent): void;
    undoDrag(): void;
    cancelDrag(): void;
    localizeHeader(parameters: ICellRendererParams): string;
    private updateNoRowTemplate;
    private updateRowDataOnUndo;
    private changeGridLocal;
    static ɵfac: i0.ɵɵFactoryDeclaration<AgGridComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AgGridComponent, "lib-ag-grid", never, { "showDeletedItems": "showDeletedItems"; "enableDrag": "enableDrag"; "showTrashButton": "showTrashButton"; "rowData": "rowData"; "columnDefs": "columnDefs"; "defaultColDef": "defaultColDef"; "noRowsTemplate": "noRowsTemplate"; "pagination": "pagination"; "disableAdd": "disableAdd"; "enableExport": "enableExport"; "title": "title"; "enableCellTextSelection": "enableCellTextSelection"; "loading$": "loading$"; }, { "refreshData": "refreshData"; "addData": "addData"; "changeData": "changeData"; "pageChange": "pageChange"; "saveDraggedPositionsEvent": "saveDraggedPositionsEvent"; "rowClickedEvent": "rowClickedEvent"; "exportEvent": "exportEvent"; }, never, never>;
}
