import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { DefaultDataServiceConfig, EntityCollectionServiceBase, EntityCollectionServiceElementsFactory, HttpUrlGenerator } from '@ngrx/data';
import { PopulateEntityDataServiceFactory } from "./PopulateEntityDataServiceFactory";
import { Model } from "../core/model.interface";
export declare class PopulatedEntityCollectionServiceBase<T extends Model> extends EntityCollectionServiceBase<T> {
    protected entityUrl: string;
    protected http: HttpClient;
    protected populateEntityDataServiceFactory: PopulateEntityDataServiceFactory;
    protected httpUrlGenerator: HttpUrlGenerator;
    protected config: DefaultDataServiceConfig;
    constructor(entityName: any, serviceElementsFactory: EntityCollectionServiceElementsFactory, populateEntityDataServiceFactory: PopulateEntityDataServiceFactory);
    getWithPopulatedFields(conditions: Object, populate: string | any, limit?: string, skip?: string, sort?: string, select?: string, distinct?: string, count?: string): Observable<T[]>;
    getIdWithPopulatedFields(id: string, populate: string | any, limit?: string, skip?: string, sort?: string): Observable<T>;
    selectEntityById(id: string): Observable<T>;
    getEntityCount(conditions: Object): Observable<number>;
    getCustomURL(url: String): Observable<any>;
    generateQueryString(conditions: Object, populate: string | any, limit?: string, skip?: string, sort?: string, select?: string, distinct?: string, count?: string): string;
}
