import { MatDialog } from "@angular/material/dialog";
import { Observable, Subject } from "rxjs";
import { SharedService } from './shared.service';
import { TranslationService } from '../translation.service';
import * as i0 from "@angular/core";
export declare class AdminModuleEntityBase {
    private moduleName;
    private service;
    private _sharedService;
    private dialog;
    private translateService;
    showDeletedItems: boolean;
    constructor(moduleName: any, service: any, _sharedService: SharedService, dialog: MatDialog, translateService: TranslationService);
    ionViewWillEnter: () => void;
    /**
     * get grid data
     * @param conditions
     * @param populate
     * @param limit
     * @param skip
     */
    getData(conditions?: Object, populate?: string, limit?: string, skip?: string): void;
    /**
     * on pagination page change
     * @param event pagination
     */
    pageChange: (event: any) => void;
    /**
     * toggle Deleted Items action
     */
    toggleDeletedItems(): void;
    /**
     * delete action
     * @param request object to delete
     * @param successMsg snackbar msg for success
     */
    delete(request: any, successMsg: string): void;
    /**
     * restore action
     * @param request object to restore
     * @param successMsg snackbar msg for success
     */
    restore(request: any, successMsg: string): void;
    /**
     * update action
     * @param request object to update
     * @param successMsg snackbar msg for success
     */
    update(request: any, successMsg: string): void;
    /**
     * add action
     * @param request object to add
     * @param successMsg snackbar msg for success
     */
    add(request: any, successMsg: string): void;
    /**
     * save action
     * @param listRequest List of objects to save
     * @param successMsg snackbar msg for success
     */
    saveList(listRequest: any[], successMsg: string): void;
    /**
     *  after close dialog util service for details components popups
     * @param dialogComponent
     * @param data for the dialog
     * @param width of the dialog
     */
    afterCloseDialog(dialogComponent: any, data: any, width?: string): Observable<any>;
    /**
     * success callback util function
     * @param msg to notify the user
     */
    successCallBack(msg: string): void;
    /**
     * on Module Changes After any action Socket Event
     * @param socket
     * @param unsubscribeAll
     * @param moduleName is the changed module name
     */
    onModuleChanges(socket: any, unsubscribeAll: Subject<any>, moduleName: any): void;
    /**
     * on add or edit action
     * @param data to add/update
     * @param successMsg snackbar msg for success
     * @param component is the popup/detail component
     */
    addEditItem(data: any, component: any, successMsg: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AdminModuleEntityBase, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AdminModuleEntityBase>;
}
